ReferenceAPI referenceRepositories
Read subscription usage for a repository's effective review agent
Repository credentials take precedence over organization credentials. Provider failures are represented in the response status.
GET
/organizations/{organization_id}/repositories/{repository_id}/agent-usageRepository credentials take precedence over organization credentials. Provider failures are represented in the response status.
tasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128repository_id*string
Length
1 <= length <= 128Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/string/repositories/string/agent-usage"{ "data": { "provider": "string", "status": "AVAILABLE", "plan": "string", "fetched_at": "2019-08-24T14:15:22Z", "limits": [ { "id": "string", "label": "string", "period": "FIVE_HOUR", "used_percent": 0, "window_minutes": 1, "resets_at": "2019-08-24T14:15:22Z" } ], "unavailable_reason": "AUTHENTICATION_FAILED" }}